#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires X server)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Gnome2
Summary:	Perl interface to the 2.x series of the GNOME libraries
Summary(pl.UTF-8):	Interfejs perlowy do bibliotek GNOME 2.x
Name:		perl-Gnome2
Version:	1.046
Release:	5
License:	LGPL v2.1+
Group:		Development/Languages/Perl
Source0:	http://download.sourceforge.net/gtk2-perl/%{pdir}-%{version}.tar.gz
# Source0-md5:	abb820a474237f6c8d6c2dc19ba3c1e6
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	libbonoboui-devel >= 2.0.0
BuildRequires:	libgnomeui-devel >= 2.14.1
BuildRequires:	perl-ExtUtils-Depends >= 0.201
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.03
BuildRequires:	perl-Glib-devel >= 1.140
BuildRequires:	perl-Gnome2-Canvas-devel >= 1.002
BuildRequires:	perl-Gnome2-VFS-devel >= 1.060
BuildRequires:	perl-Gtk2-devel >= 1.140
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Test-Number-Delta >= 1.0
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	libbonoboui >= 2.0.0
Requires:	libgnomeui >= 2.14.1
Requires:	perl-Glib >= 1.140
Requires:	perl-Gnome2-Canvas >= 1.002
Requires:	perl-Gnome2-VFS >= 1.060
Requires:	perl-Gtk2 >= 1.140
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Gnome2 Perl module allows a Perl developer to use the GNOME 2
libraries.

%description -l pl.UTF-8
Moduł Perla Gnome2 pozwala programistom perlowym na używanie bibliotek
środowiska GNOME 2.

%package devel
Summary:	Development files for Perl Gnome2 bindings
Summary(pl.UTF-8):	Pliki programistyczne wiązań Gnome2 dla Perla
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	libbonoboui-devel >= 2.0.0
Requires:	libgnomeui-devel >= 2.14.1
Requires:	perl-Glib-devel >= 1.140
Requires:	perl-Gnome2-Canvas-devel >= 1.002
Requires:	perl-Gnome2-VFS-devel >= 1.060
Requires:	perl-Gtk2-devel >= 1.140

%description devel
Development files for Perl Gnome2 bindings.

%description devel -l pl.UTF-8
Pliki programistyczne wiązań Gnome2 dla Perla.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Gnome2/{*,*/*}.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%{perl_vendorarch}/Gnome2.pm
%attr(755,root,root) %{perl_vendorarch}/auto/Gnome2/Gnome2.so
%{_mandir}/man3/Gnome2.3pm*
%{_mandir}/man3/Gnome2::*.3pm*

%files devel
%defattr(644,root,root,755)
%{perl_vendorarch}/Gnome2/Install
%changelog
* Sun Sep 02 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Gnome2.git;a=log;h=master

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> bab88f9
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 016c6e4
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4bd16c8
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> b4e0424
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 598bcec
- updated to 1.046
- split -devel

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 4fad474
- release 5 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0bd82b7
- release 4 (by relup.sh)

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> 5b44475
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> d90e720
- x32 rebuild
- release 2 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 58a2c74
- fix source URL

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> cf1b96d
- up to 1.045

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 5e5d3a6
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2879118
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 36768f5
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c511c12
- release 4

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> 9105739
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> af1496a
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> fc00a99
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Sat Dec 01 2007 Jakub Bogusz <qboosh@pld-linux.org> 2507cec
- updated to 1.042

* Sat Jun 02 2007 Jakub Bogusz <qboosh@pld-linux.org> 110e7e6
- updated to 1.041

